Subject: bug#41207: accountsservice daemon lacks dbus interfaces

From: Ludovic Courtès <[email-masked]>
Date: Mon, 01 Jun 2020 00:01:17 +0200

Hello,

L  p R n  d n    <[email-masked]> skribis:

> The accountsservice service hasn't access to dbus' interfaces throwing
> an error when they're needed.The problem, at least, appears with LightDM.
> The error looks like:
>
> WARNING: Error updating user /org/freedesktop/Accounts/User1000:
> GDBus.Error:org.freedesktop.DBus.Error.InvalidArgs: No such interface
> "org.freedesktop.DisplayManager.AccountsService"

Apparently this error message comes from lightdm, so the issue is that
lightdm doesn’t find the ‘org.freedesktop.Accounts.service’, right?

How is lightdm started?  I wonder if there’s something to be done in the
service definition instead.

Thanks,
Ludo’.